> For the complete documentation index, see [llms.txt](https://docs.mozilla.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mozilla.ai/mcpd/cli-reference/mcpd_add.md).

# add

Adds an MCP server dependency to the project

## Synopsis

Adds an MCP server dependency to the project. `mcpd` will search the registry for the named server and attempt to return information on the version specified, or 'latest' if no version specified

```
mcpd add <server-name> [flags]
```

## Options

```
      --allow-deprecated   Optional, allows server installations marked as deprecated to be added
      --cache-dir string   Directory for caching registry manifests (default "/home/runner/.cache/mcpd/registries")
      --cache-ttl string   Time-to-live for cached registry manifests (e.g. 1h, 30m, 24h) (default "24h")
      --format format      Specify the output format (one of: json, text, yaml) (default text)
      --no-cache           Disable registry manifest caching
      --refresh-cache      Force refresh of cached registry manifests
      --runtime string     Optional, specify the runtime of the server (e.g. uvx, npx)
      --source string      Optional, specify the source registry of the server (e.g. mozilla-ai)
      --tool stringArray   Optional, when specified limits the available tools on the server (can be repeated)
      --version string     Specify the version of the server package
```

## Options inherited from parent commands

```
      --config-file string    path to config file (default ".mcpd.toml")
      --log-level string      log level for mcpd logs (default "info")
      --log-path string       log file path to use for log output
      --runtime-file string   path to runtime (execution context) file that contains env vars, and arguments for your MCP servers (default "/home/runner/.config/mcpd/secrets.dev.toml")
```

## SEE ALSO

* [mcpd](/mcpd/cli-reference/mcpd.md) - `mcpd` CLI is the primary interface for developers to interact with, and configure `mcpd`

**Auto generated by spf13/cobra on 14-Aug-2026**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mozilla.ai/mcpd/cli-reference/mcpd_add.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
